#!/sbin/sh
# 
# /system/addon.d/98-tts-patch-survival.sh => root:root 755
# During a CM11 upgrade, this script backs up several files changed by the user,
# /system is formatted and reinstalled, then the files are restored.
#

. /tmp/backuptool.functions

#etc/hosts - skipped, already performed in 50-cm.sh
#build.prop - skipped, in case changes occur with a new ROM's build which would cause issues if missing

list_files() {
#place your files here between EOF ... EOF. 
#cat <<EOF
#mydir1/myfile1
#mydir2/myfile2
#...
#mydir<n>/myfile<n>
#EOF

# Or use a text file which holds all your files (one file = one line).
# File name must be the same as this script plus extension ".list"
# Don't forget to rename it, if you rename this script file.
cat < "$0.list"
}

case "$1" in
  backup)
    list_files | while read FILE DUMMY; do
      backup_file $S/"$FILE"
    done
  ;;
  restore)
    list_files | while read FILE REPLACEMENT; do
      R=""
      [ -n "$REPLACEMENT" ] && R="$S/$REPLACEMENT"
      [ -f "$C/$S/$FILE" ] && restore_file $S/"$FILE" "$R"
    done
  ;;
  pre-backup)
    # Stub
  ;;
  post-backup)
    # Stub
  ;;
  pre-restore)
    # Stub
  ;;
  post-restore)
    # Stub
  ;;
esac
